import os
import httpx

from typing import Dict

from ..auth import auth_headers

async def save_nav(
    nav: Dict,
):
    sync_url = os.getenv("SAVE_NAV_URL", "http://localhost:8001/market/suma-market/api/products/nav/")

    async with httpx.AsyncClient(timeout=httpx.Timeout(20.0, connect=10.0)) as client:
        resp = await client.post(sync_url, json=nav, headers=auth_headers())
    # Raise for non-2xx
    resp.raise_for_status()
    data = resp.json() if resp.content else {}
    return data
    